%global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

Summary: Ruby bindings for Qt 4
Name: ruby-qt
Version: 4.7.0
Release: 1%{?dist}
License: LGPLv2+
Group: Development/Languages
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/qtruby-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: ruby(abi) = 1.8
Requires: qt4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires: kde4-macros(api) >= 2
BuildRequires: qt4-devel
BuildRequires: qt-webkit-devel
BuildRequires: qwt-devel
BuildRequires: qscintilla-devel
BuildRequires: phonon-devel
BuildRequires: smokegen-devel
BuildRequires: smokeqt-devel
BuildRequires: cmake
BuildRequires: ruby
BuildRequires: ruby-devel
Obsoletes: QtRuby < 4.7.0
Provides: QtRuby = %{version}-%{release}
Provides: QtRuby4 = %{version}-%{release}
Provides: ruby(qt) = %{version}

%description
This package includes ruby bindings for Qt 4.

%package devel
Group: Development/Languages
Summary: Development files for QtRuby
Requires: %{name} = %{version}-%{release}
Obsoletes: QtRuby-devel < 4.7.0
Provides: QtRuby-devel = %{version}-%{release}
Provides: QtRuby4-devel = %{version}-%{release}

%description devel
This package includes the header files you will need to compile
applications for Qt 4.

%package examples
Summary: Programming examples for %{name}
Group: Documentation
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description examples
%{summary}.

%prep
%setup -q -n qtruby-%{version}
 
%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}
 
%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
 
%clean
rm -rf %{buildroot}
 
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
 
%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL README
%{_libdir}/*.so.*
%{ruby_sitelib}/Qt/
%{ruby_sitelib}/Qt*.rb
%{ruby_sitelib}/qtscript/
%{ruby_sitelib}/qttest/
%{ruby_sitelib}/qtuitools/
%{ruby_sitelib}/qtwebkit/
%{ruby_sitelib}/phonon/
%{ruby_sitelib}/qscintilla/
%{ruby_sitelib}/qtdeclarative/
%{ruby_sitelib}/qwt/
%{ruby_sitearch}/*.so

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/*.so
%{_bindir}/*
%{_includedir}/*
%{_datadir}/qtruby4/cmake/*

%files examples
%defattr(-, root, root, 0755)
%doc examples

%changelog 
* Tue Aug 02 2011 Than Ngo <than@redhat.com> - 4.7.0-1
- 4.7.0
